simSearch {xcms} | R Documentation

## Unrestricted precursor Metlin Search

### Description

A method for searching MS^2 data against the METLIN Database without a precursor restraint.

### Usage

    simSearch(object, ppmfrag=20, percent=50, file, fullReport=FALSE, ...)

### Arguments

`object` | An xcmsFragment object generated by xcmsRaw.collect
`ppmfrag` | Error on fragment masses in ppm
`percent` | Percentage thresthold to use for identification
`file` | Name of the output files
`fullReport` | Should a full report be generated
`...` | Arguments to plot.metlin()

### Details

This method searches the METLIN database for similar MS/MS spectra and ranks them on a fragment score and a neutral loss score. Both of these scores work on a `score_fun` method. The search takes xcmsFragment objects and searches the database with an unrestricted precursor, thereby searching all spectra in the METLIN database. The percent variable can be used to remove spectra that are below the accepted percentage similarity. The percentage similarity is an independant variable for both the fragment search and the neutral loss search. The method generates two files when the fullReport variable is set to TRUE. The default file shows the top 5 m/z's most frequently matched. This gives a guide as fragments and neutral losses which should be inspected with a formula calculator. The second file which is printed to a variable and or to the second file is a full report of the data. This report includes metabolite names from the METLIN database and gives both the fragment score and the neutral loss score thereby giving a confidence to the likelyhood of the possible molecule/family of molecules.

### Value

A data frame with the following columns:

`m/z` | Precursor m/z of the Experimental spectra
`rtmin` | Start of the rt window
`rtmax` | End of the rt window
`Experiment Collision Energy` | Experimental spectra Collision Energy
`Fragment Score` | Score of the Fragments
`Neutral Score` | Score of the Neutral loss
`Common Neutral loss` | m/z of the most matching neutral loss
`Common Fragment` | m/z of the most matching fragment
`Compound Name` | Name of the compound from METLIN
`Metlin Mass` | The mass as reported by METLIN
`Collision Energy` | The collision energy of the metlin spectra

### Author(s)

H. Paul Benton, hpbenton@scripps.edu

### References

H. Paul Benton, D.M. Wong, S.A.Strauger, G. Siuzdak "XCMS^2:" Analytical Chemistry 2008

[Package xcms version 1.16.3 Index]